Skip to main content
GET
Get basic VM console URL

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234_abcdef

Path Parameters

project_id
integer
required

Project ID.

Example:

1

basic_vm_id
string<uuid4>
required

Basic VM ID.

Example:

"6c6aa80f-4234-4678-9abc-def012345678"

Query Parameters

console_type
enum<string>

Console type that you expect. If you omit it, you get the first available type in this order: novnc, spice.

Available options:
novnc,
spice
Example:

"novnc"

Response

Remote console data

remote_console
RemoteConsoleData · object
required

Remote console information

Example: